Package org.apache.wiki.util

## Interface CheckedSupplier<T,​E extends java.lang.Exception>

Type Parameters:
  `T` - type returned by this functional interface.
  `E` - `Exception` thrown by this functional interface.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface CheckedSupplier<T,​E extends java.lang.Exception>

A `Supplier` cousin that also throws Checked Exceptions.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `get()` Gets a result.

### Method Detail

#### get

    T get()
    throws E extends java.lang.Exception

Gets a result.

Returns:
  a result.
Throws:
  `E` - a checked exception.
  `E extends java.lang.Exception`